%define upstream_name    Glib
%define upstream_version 1.321

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for the glib-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz
Patch0:     Glib-1.280-exception-trapping.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: perl-devel
Conflicts:	perl-Gtk2 <= 1
Requires:   glib2

# Do not export private modules and libraries
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%package doc
Summary:    Glib documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Glib module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%define _disable_ld_no_undefined 1
%make OPTIMIZE="$RPM_OPT_FLAGS" OTHERLDFLAGS="%{?ldflags}" PERL_ARCHIVE_AFTER="-lpthread"

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc AUTHORS LICENSE META.json META.yml NEWS README TODO
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod


%changelog
* Wed Mar 02 2016 bb <bb> 1.321-1pclos2016
- update

* Mon Jun 29 2015 bb <bb> 1.310.0-1pclos2015
- update
